%define anolis_release 2
%global cbq_version v0.7.3

Name:               iproute
Version:            6.6.0
Release:            %{anolis_release}%{?dist}
Summary:            Advanced IP routing and network device configuration tools
URL:                http://kernel.org/pub/linux/utils/net/%{name}2/
Source0:            http://kernel.org/pub/linux/utils/net/%{name}2/%{name}2-%{version}.tar.xz
License:            GPLv2+ and Public Domain
BuildRequires:      gcc
BuildRequires:      bison
BuildRequires:      elfutils-libelf-devel
BuildRequires:      flex
BuildRequires:      iptables-devel >= 1.4.5
# sw_64 kernel does not support bpf yet
%ifnarch sw_64
BuildRequires:      libbpf-devel
%endif
BuildRequires:      libcap-devel
BuildRequires:      libmnl-devel
BuildRequires:      libselinux-devel
BuildRequires:      pkgconfig
Provides:           /sbin/ip
Provides:           iproute-doc = %{version}-%{release}
Recommends:         %{name}-tc
# sw_64 kernel does not support bpf yet
%ifnarch sw_64
Requires:           libbpf
%endif
Requires:           psmisc
Obsoletes:          iproute-doc < %{version}-%{release}

%description
The iproute package contains networking utilities (ip and rtmon, for example)
which are designed to use the advanced networking capabilities of the Linux
kernel.

%package tc
Summary:            Linux Traffic Control utility
License:            GPLv2+
Requires:           %{name}%{?_isa} = %{version}-%{release}
Provides:           /sbin/tc

%description tc
The Traffic Control utility manages queueing disciplines, their classes and
attached filters and actions. It is the standard tool to configure QoS in
Linux.

%package devel
Summary:            iproute development files
License:            GPLv2+
Provides:           iproute-static = %{version}-%{release}

%description devel
The libnetlink static library.

%prep
%autosetup -p1 -n %{name}2-%{version}

%build
%configure
%make_build

%install
export SBINDIR='%{_sbindir}'
export LIBDIR='%{_libdir}'
%make_install

# libnetlink
install -D -m644 include/libnetlink.h %{buildroot}%{_includedir}/libnetlink.h
install -D -m644 lib/libnetlink.a %{buildroot}%{_libdir}/libnetlink.a
rm -f %{buildroot}%{_mandir}/man8/arpd*

%files
%dir %{_libdir}/iproute2
%license COPYING
%doc README
%{_mandir}/man7/*
%exclude %{_mandir}/man7/tc-*
%{_mandir}/man8/*
%exclude %{_mandir}/man8/tc*
%attr(644,root,root) %config(noreplace) %{_libdir}/iproute2/*
%{_sbindir}/*
%exclude %{_sbindir}/tc
%{_datadir}/bash-completion/completions/devlink

%files tc
%license COPYING
%{_mandir}/man7/tc-*
%{_mandir}/man8/tc*
%dir %{_libdir}/tc/
%{_libdir}/tc/*
%{_sbindir}/tc
%{_datadir}/bash-completion/completions/tc

%files devel
%license COPYING
%{_mandir}/man3/*
%{_libdir}/libnetlink.a
%{_includedir}/libnetlink.h
%{_includedir}/iproute2/bpf_elf.h

%changelog
* Fri Jun 06 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.6.0-2
- Add build and run-time dependencies on libbpf

* Wed Mar 13 2024 houfangdong <houfangdong@loongson.cn> - 6.6.0-1
- New version 6.6.0

* Sat Apr 29 2023 Funda Wang <fundawang@yeah.net> - 6.3.0-1
- New version 6.3.0

* Tue Feb 21 2023 Funda Wang <fundawang@yeah.net> - 6.2.0-1
- New version 6.2.0

* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 6.1.0-1
- New version 6.1.0

* Wed Mar 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.9.0-3
- remove dependency of linux-atm-libs

* Wed Mar 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.9.0-2
- remove dependency of libdb

* Wed Mar 09 2022 zhang xianting <zhangxianting@uniontech.com> - 5.9.0-1
- Initial build for Anolis v23
